## node-semver 2.1.0

=== Makefile ===
files =  semver.browser.js \
         semver.min.js \
				 semver.browser.js.gz \
				 semver.min.js.gz

all: $(files)

clean:
	rm $(files)

semver.browser.js: head.js semver.js foot.js
	( cat head.js; \
		cat semver.js | \
			egrep -v '^ *\/\* nomin \*\/' | \
			perl -pi -e 's/debug\([^\)]+\)//g'; \
		cat foot.js ) > semver.browser.js

semver.min.js: semver.browser.js
	uglifyjs -m <semver.browser.js >semver.min.js

%.gz: %
	gzip --stdout -9 <$< >$@

.PHONY: all clean

## node-semver 1.0.13

=== debian/changelog ===
node-semver (1.0.13-2) unstable; urgency=low

  * Fix watch file.
  * Rename node shebang to nodejs. Closes: #684418.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 21 Sep 2012 12:18:26 +0200

node-semver (1.0.13-1) unstable; urgency=low

  * Initial release (Closes: #664154)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Mar 2012 23:35:56 +0100

=== debian/control ===
Source: node-semver
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.3
Homepage: https://github.com/isaacs/node-semver
Vcs-Git: git://git.debian.org/collab-maint/node-semver.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-semver.git;a=summary

Package: node-semver
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Semantic versioner for NodeJS
 Test if version(s) satisfy the supplied range(s), and sort them.
 Multiple versions or ranges may be supplied.
 Program exits successfully if any valid version satisfies
 all supplied ranges, and prints all satisfying versions.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*\/([\d.-]+)/http\:\/\/registry\.npmjs\.org\/semver\/-\/semver\-$1\.tgz/,\
filenamemangle=s/.*\/([\d.-]+)/node-semver-$1\.tar\.gz/ \
https://github.com/isaacs/node-semver/tags .*/tarball/([\d.-]+)

## node-semver 2.1.0

=== debian/changelog ===
node-semver (2.1.0-2) unstable; urgency=low

  * Improve long descriptions to explain which package provides what.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Aug 2013 14:28:39 +0200

node-semver (2.1.0-1) unstable; urgency=low

  * Upstream update
  * control:
    + Standards-Version 3.9.4
    + canonicalize Vcs fields
    + add node-uglify as Build-Dependency
  * copyright:
    + add Upstream-Contact, Source fields
    + use module name for Upstream-Name
    + upstream switch to BSD-2-clause. Stick to it for debian/*
  * package libjs-semver, which is a distinct version from node-semver,
    along with its minified file.
  * install bin/semver next to semver.js, along with package.json,
    they are required to work without patches.
  * update semver.1
  * patches:
    + remove 1001 patch, no longer necessary
    + add 2002 patch to fix build of browser files

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Aug 2013 00:17:00 +0200

node-semver (1.1.4-1) experimental; urgency=low

  * Upstream update.
  * Depend on nodejs (>= 0.6.19~dfsg1-3), shebang renamed to "nodejs".
  * Use github url in watch file.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Mar 2013 08:58:07 +0100

=== debian/control ===
Source: node-semver
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
 , node-uglify
Standards-Version: 3.9.4
Homepage: https://github.com/isaacs/node-semver
Vcs-Git: git://anonscm.debian.org/collab-maint/node-semver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-semver.git

Package: node-semver
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Semantic Versioning for Node.js
 Test if version(s) satisfy the supplied range(s), and sort them.
 Multiple versions or ranges may be supplied.
 Program exits successfully if any valid version satisfies
 all supplied ranges, and prints all satisfying versions.
 .
 This package provides the `semver` executable and the Node.js module.
 .
 Node.js is an event-based server-side javascript engine.

Package: libjs-semver
Architecture: all
Depends: ${misc:Depends}
Description: Semantic Versioning for Node.js
 Test if version(s) satisfy the supplied range(s), and sort them.
 Multiple versions or ranges may be supplied.
 Program exits successfully if any valid version satisfies
 all supplied ranges, and prints all satisfying versions.
 .
 This package provides a version usable in a browser, along
 with its minified file.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -f semver.browser.js semver.min.js

## node-semver 5.3.0

=== debian/changelog ===
node-semver (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0 (Closes: #844009)
  * Copyright: BSD-2-clause to ISC
  * debhelper 9
  * Standards-Version 3.9.8
  * Drop libjs-* package
  * Secure Vcs url
  * Enable autopkgtest
  * Build man page using marked-man

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Nov 2016 02:07:34 +0100

=== debian/control ===
Source: node-semver
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9.0.0)
 , dh-buildinfo
 , node-marked-man
Standards-Version: 3.9.8
Homepage: https://github.com/isaacs/node-semver
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-semver.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-semver.git
Testsuite: autopkgtest

Package: node-semver
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Semantic Versioning for Node.js
 Test if version(s) satisfy the supplied range(s), and sort them.
 Multiple versions or ranges may be supplied.
 Program exits successfully if any valid version satisfies
 all supplied ranges, and prints all satisfying versions.
 .
 This package provides the `semver` executable and the Node.js module.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	marked-man README.md > debian/semver.1
+
 override_dh_auto_clean:
-	rm -f semver.browser.js semver.min.js
+	rm -f debian/semver.1

## node-semver 5.4.1

=== debian/changelog ===
node-semver (5.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 Sep 2017 20:47:50 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  debhelper (>= 9.0.0)
  , dh-buildinfo
  , node-marked-man
-Standards-Version: 3.9.8
+ , node-tap
+Standards-Version: 4.1.0
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-semver.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-semver.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_auto_build:
 	marked-man README.md > debian/semver.1
 
+override_dh_auto_test:
+	tap test/*.js
+
 override_dh_auto_clean:
 	rm -f debian/semver.1

=== debian/tests/control ===
Tests: require
Depends: node-semver

Test-Command: tap test/*.js
Depends: @, node-tap

## node-semver 5.5.1

=== debian/changelog ===
node-semver (5.5.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Sep 2018 17:12:50 +0530

node-semver (5.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.5.1
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Change section to javascript and priority to optional
  * Enable nocheck build profile

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Sep 2018 12:14:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: node-semver
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 9.0.0)
- , dh-buildinfo
+ debhelper (>= 11~)
  , node-marked-man
- , node-tap
-Standards-Version: 4.1.0
+ , node-tap <!nocheck>
+Standards-Version: 4.2.1
 Homepage: https://github.com/isaacs/node-semver
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-semver.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-semver.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-semver
 
 Package: node-semver
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	marked-man README.md > debian/semver.1
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	tap test/*.js
+endif
 
 override_dh_auto_clean:
 	rm -f debian/semver.1

## node-semver 5.7.1

=== debian/changelog ===
node-semver (5.7.1-1) unstable; urgency=medium

  [ Nilesh ]
  * Team Upload
  * New upstream version 5.7.1
  * Remove install file
  * Move links to debian/nodejs/links
  * Bump debhelper version to 12
  * Bump standards version to 4.4.0

 -- Nilesh <npatra974@gmail.com>  Wed, 28 Aug 2019 12:13:57 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
+Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper (>= 11~)
+ debhelper-compat (= 12)
  , node-marked-man
  , node-tap <!nocheck>
-Standards-Version: 4.2.1
+ , pkg-js-tools (>= 0.9.8~)
+Standards-Version: 4.4.0
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver

## node-semver 7.1.3

=== debian/changelog ===
node-semver (7.1.3-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * New upstream version 7.1.3
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 15 Feb 2020 09:04:53 +0100

node-semver (7.1.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Dec 2019 06:17:08 +0100

node-semver (7.1.1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.1.1
  * Require nodejs ≥ 10

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Dec 2019 15:22:18 +0100

node-semver (7.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.0.0
  * Update lintian overrides
  * Fix bin/semver link (Closes: #944840)

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Dec 2019 06:12:50 +0100

node-semver (6.3.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Nov 2019 22:56:42 +0100

node-semver (6.3.0-1) experimental; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Fix debian/copyright format url
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * New upstream version 6.3.0
  * Disable test/cli.js which requires a recent node-tap
  * Ignore false positive lintian warning
  * Fix semver permission
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Sun, 20 Oct 2019 16:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,20 @@
  debhelper-compat (= 12)
  , node-marked-man
  , node-tap <!nocheck>
+ , nodejs (>= 10) <!nocheck>
  , pkg-js-tools (>= 0.9.8~)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver
+Rules-Requires-Root: no
 
 Package: node-semver
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs (>= 10)
+Breaks: node-gyp (<< 6.0.1-1)
 Description: Semantic Versioning for Node.js
  Test if version(s) satisfy the supplied range(s), and sort them.
  Multiple versions or ranges may be supplied.
@@ -28,4 +31,3 @@
  This package provides the `semver` executable and the Node.js module.
  .
  Node.js is an event-based server-side javascript engine.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


%:
	dh $@ --with nodejs

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-semver/usr/share/nodejs/semver/bin/semver.js

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-semver-$1.tar.gz/ \
https://github.com/isaacs/node-semver/tags .*/archive/v?([\d\.]+).tar.gz

## node-semver 7.3.4

=== debian/changelog ===
node-semver (7.3.4-1) unstable; urgency=medium

  * Team upload
  * Add ctype=nodejs to component(s)
  * New upstream version 7.3.4
  * Add dependency to node-lru-cache
  * Update autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 14:08:10 +0100

node-semver (7.3.2+repack-1) unstable; urgency=medium

  * Team upload
  * Restore nodejs dependency (needed since it provides /usr/bin/semver)
  * Add multiarch hint
  * Team upload
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Embed @types/semver and repack
  * Add breaks against node-typescript-types < 20201117~

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Nov 2020 09:48:51 +0100

node-semver (7.3.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 7.3.2

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Oct 2020 16:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends:
- debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 12)
+ , node-lru-cache <!nocheck>
  , node-marked-man
  , node-tap <!nocheck>
  , nodejs (>= 10) <!nocheck>
- , pkg-js-tools (>= 0.9.8~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver
@@ -18,10 +18,13 @@
 
 Package: node-semver
 Architecture: all
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
+ , node-lru-cache
  , nodejs (>= 10)
 Breaks: node-gyp (<< 6.0.1-1)
+ , node-typescript-types (<< 20201117~)
+Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: Semantic Versioning for Node.js
  Test if version(s) satisfy the supplied range(s), and sort them.
  Multiple versions or ranges may be supplied.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=4
opts=dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-semver-$1.tar.gz/ \
https://github.com/isaacs/node-semver/tags .*/archive/v?([\d\.]+).tar.gz

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-semver,pgpmode=none" \
 https://registry.npmjs.org/@types/semver https://registry.npmjs.org/@types/semver/-/semver-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-semver 7.3.5+~7.3.8

=== debian/changelog ===
node-semver (7.3.5+~7.3.8-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * Use uscan group
  * New upstream version 7.3.5+~7.3.8

 -- Yadd <yadd@debian.org>  Tue, 14 Sep 2021 06:17:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , node-lru-cache <!nocheck>
  , node-marked-man
  , node-tap <!nocheck>
  , nodejs (>= 10) <!nocheck>
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver

=== debian/watch ===
version=4
opts=dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-semver-$1.tar.gz/ \
https://github.com/isaacs/node-semver/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-semver,pgpmode=none" \
 https://registry.npmjs.org/@types/semver https://registry.npmjs.org/@types/semver/-/semver-([\d\.]+)@ARCHIVE_EXT@ group

## node-semver 7.3.5+~7.3.9

=== debian/changelog ===
node-semver (7.3.5+~7.3.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 4-9.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 18:27:52 +0000

node-semver (7.3.5+~7.3.9-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * New upstream version 7.3.5+~7.3.9 (updates typescript declarations)
  * Update test for node-tap >= 15

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 06:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , node-lru-cache <!nocheck>
  , node-marked-man
- , node-tap <!nocheck>
- , nodejs (>= 10) <!nocheck>
- , dh-sequence-nodejs
-Standards-Version: 4.6.0
+ , node-tap (>= 15) <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver
@@ -20,7 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends}
  , node-lru-cache
- , nodejs (>= 10)
+ , nodejs:any
 Breaks: node-gyp (<< 6.0.1-1)
  , node-typescript-types (<< 20201117~)
 Provides: ${nodejs:Provides}

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-semver-$1.tar.gz/ \
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-semver-$1/ \
 https://github.com/isaacs/node-semver/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 # It is not recommended use npmregistry. Please investigate more.

## node-semver 7.5.4+~7.5.0

=== debian/changelog ===
node-semver (7.5.4+~7.5.0-2) unstable; urgency=medium

  * Team upload
  * Add Breaks  node-semver-diff < 3.1.1-4~

 -- Yadd <yadd@debian.org>  Sun, 13 Aug 2023 09:13:08 +0400

node-semver (7.5.4+~7.5.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * Update debian/watch
  * New upstream version (Closes: CVE-2022-25883)
  * Update test

 -- Yadd <yadd@debian.org>  Sun, 16 Jul 2023 09:31:43 +0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , node-lru-cache <!nocheck>
  , node-marked-man
  , node-tap (>= 15) <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver
@@ -22,6 +22,7 @@
  , nodejs:any
 Breaks: node-gyp (<< 6.0.1-1)
  , node-typescript-types (<< 20201117~)
+ , node-semver-diff (<< 3.1.1-4~)
 Provides: ${nodejs:Provides}
 Multi-Arch: foreign
 Description: Semantic Versioning for Node.js

## node-semver 7.6.1+~7.5.8

=== debian/changelog ===
node-semver (7.6.1+~7.5.8-2) unstable; urgency=medium

  * Disable tap timeout because it is set in package.json
    Closes: #1087574.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 15 Nov 2024 15:09:30 +0100

node-semver (7.6.1+~7.5.8-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Security-Contact
  * Declare compliance with policy 4.7.0
  * New upstream version 7.6.1+~7.5.8

 -- Yadd <yadd@debian.org>  Thu, 09 May 2024 09:50:37 +0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , node-lru-cache <!nocheck>
  , node-marked-man
  , node-tap (>= 15) <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/isaacs/node-semver
 Vcs-Git: https://salsa.debian.org/js-team/node-semver.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-semver

=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version=4
 opts=dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-semver-$1/ \
-https://github.com/isaacs/node-semver/tags .*/archive/.*/v?([\d\.]+).tar.gz group
+https://github.com/npm/node-semver/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
